/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Mar-09-2012 08:19:34pm
Filepath: scripts\Mobiles\custom mobiles - to sort\ML Named\Abscess.cs
Lines of code: 74

Description: 

***********************************************************/


using System;
using Server.Mobiles;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "an abscess corpse" )]
	public class abscess : BaseCreature
	{
		public override WeaponAbility GetWeaponAbility()
		{		
			return WeaponAbility.DoubleStrike;
		}		

		[Constructable]
		public abscess() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.15, 0.18 )
		{
		
			Name = "Abscess";
			Body = 0x109;
			Hue = 0x8FD;
			BaseSoundID = 0x16A;
			

			SetStr( 845, 870 );  
			SetDex( 130, 140 );
			SetInt( 120, 130 );

			SetHits( 7470, 7540 );
			SetMana( 120, 130 );
			SetStam( 130, 150 );
			

			SetDamage( 11, 16 );

			SetDamageType( ResistanceType.Physical, 60 );
			SetDamageType( ResistanceType.Fire, 10 );
			SetDamageType( ResistanceType.Cold, 10 );
			SetDamageType( ResistanceType.Poison, 10 );
			SetDamageType( ResistanceType.Energy, 10 );
			
			
			//default resists
			SetResistance( ResistanceType.Physical, 66, 74);
			SetResistance( ResistanceType.Fire, 70, 80 );
			SetResistance( ResistanceType.Cold, 26, 31 );
			SetResistance( ResistanceType.Poison, 37, 45 );
			SetResistance( ResistanceType.Energy, 37, 44 );
			
			//default skills
			SetSkill( SkillName.MagicResist, 102.9, 119.0);
			SetSkill( SkillName.Tactics, 121, 130.5);
			SetSkill( SkillName.Anatomy, 91.8, 94.3);		
			SetSkill( SkillName.Wrestling, 132.3, 143.8);
			

			Fame = 15000;
			Karma = -15000;

			VirtualArmor = 18;	
		

			PackItem( new GreaterPoisonPotion() );
if(0.5>Utility.RandomDouble())	PackItem(new RandomTalisman());
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.SuperBoss,1 );
		}

		public override bool IsMLBoss { get { return true;} }
		public override int TreasureMapLevel{ get{ return 6; } }
		public override double MLChestChance{ get{ return 0.05; } }

		public override bool HasBreath{ get{ return true; } }
		public override double BreathDamageScalar{ get{ return (0.04); } }		
		public override int breathtargets{ get{ return 5; } }
		public override bool IsMLCreature { get { return true;} }
		public override bool Unprovokable{ get{ return true; } }
		public override bool Uncalmable{ get{ return true; } }

		public abscess(Serial serial) : base(serial)
		{
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}